local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)
local S = core.get_translator(mod_name)

aom_muskets = {}

if core.get_modpath("aom_settings") then
    aom_settings.register_setting("gameplay_musket_reload_speed", 1, S("Musket Reload Speed"), "server")
end

dofile(mod_path .. "/reloader.lua")
dofile(mod_path .. "/system.lua")

dofile(mod_path .. "/items" .. "/parts.lua")

dofile(mod_path .. "/items" .. "/pistol.lua")
dofile(mod_path .. "/items" .. "/blunderbuss.lua")
dofile(mod_path .. "/items" .. "/rifle.lua")
